# Uses of Class
org.springframework.beans.factory.parsing.CompositeComponentDefinition

Packages that use CompositeComponentDefinition
Package
Description
org.springframework.beans.factory.xml
Contains an abstract XML-based `BeanFactory` implementation, including a standard "spring-beans" XSD.

## Uses of CompositeComponentDefinition in org.springframework.beans.factory.xml

Methods in org.springframework.beans.factory.xml that return CompositeComponentDefinition
Modifier and Type
Method
Description
`CompositeComponentDefinition`
ParserContext.`getContainingComponent()`
`CompositeComponentDefinition`
ParserContext.`popContainingComponent()`
Methods in org.springframework.beans.factory.xml with parameters of type CompositeComponentDefinition
Modifier and Type
Method
Description
`void`
ParserContext.`pushContainingComponent(CompositeComponentDefinition containingComponent)`